# Asterisk Project : Asterisk 12 Function_EXTENSION_STATE

Added by wikibot , edited by wikibot on Aug 29, 2013

# EXTENSION_STATE()

### Synopsis

Get an extension's state.

### Description

The EXTENSION_STATE function can be used to retrieve the state from any hinted extension. For example:

NoOp(1234@default has state ${EXTENSION_STATE(1234)})

NoOp(4567@home has state ${EXTENSION_STATE(4567@home)})

The possible values returned by this function are:

UNKNOWN | NOT_INUSE | INUSE | BUSY | INVALID | UNAVAILABLE | RINGING | RINGINUSE | HOLDINUSE | ONHOLD

### Syntax

    EXTENSION_STATE(extension@context)

##### Arguments

- `extension`
- `context` - If it is not specified defaults to `default`.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown